### ChangeGroupType

Category

Structuring

Function

Changes the group type

Syntax

    changed = ChangeGroupType(data, newtype, idlist);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`data` | group | (none) | input group object
`newtype` | string | (none) | type for output group
`idlist` | scalar list or string list | input dependent | series positions or member names

Outputs

Name | Type | Description
--- | --- | ---
`name` | type | description
changed | group | different type of group with same members as input

Functional Details

ChangeGroupType allows you to change the group type of an input object, for example, change a generic group to a series, or change a series to a multigrid. The output group `changed` will contain the same members as the input group `data`. You can also use this module to change the series positions of a Series group.

`data` | is the input group to be changed.
`newtype` | is the type for the output group. It must be one of "series", "multigrid", or "generic". Note that any combination of objects can be placed in a generic group, but there are restrictions on the objects which can be placed in a series or multigrid. In these cases, all the members must have the same data type and connection type.
`idlist` | is the list of series positions or list of member names. The number of items in this list, if given, must be the same as the number of members in `data`. This parameter is optional. If you are changing the group type to series and do not provide this parameter, the members of the series will automatically be given series positions 0, 1, ..., n-1, where n is the number of members in `data`.

Components

This module does not change any components of the input object. It changes only the group type.

Example Visual Programs

    ManipulateGroups.net

See Also

ChangeGroupMember, Collect, CollectSeries, CollectNamed, CollectMultiGrid

[ OpenDX Home at IBM | OpenDX.org ]